<!DOCTYPE html>
<html>
	<head>
		<?php include $_SERVER['DOCUMENT_ROOT'].'/src/common-meta.php';?>
		<link rel="shortcut icon" href="/favicon.ico" />
		<title>9iron</title>
	</head>
	<body>
		<?php include $_SERVER['DOCUMENT_ROOT'].'/src/common-header.php';?>
		<div class="content">
			<div class="section">
				<h1>What is Matrix?</h1>
				<p>Matrix is a communication platform. Think Discord, but hosted here and without <a href="https://cadence.moe/blog/2020-06-06-why-you-shouldnt-trust-discord">its problems</a>.</p>
				<p>To get up and running, you only need to read the <a href="#gettingstarted">Getting Started</a> section. Everything else here is just in case you want or need it.</p>
				<h2>On This Page:</h2>
				<ul>
					<li><a href="#gettingstarted">Getting Started</a></li>
					<li><a href="#darkmode">Dark Mode</a></li>
					<li>Using Matrix</li>
					<ul>
						<li><a href="#voicechat">Voice Chat</a></li>
						<li><a href="#communities">Communities</a></li>
					</ul>
					<li>Miscellaneous</li>
					<ul>
						<li><a href="#rules">Rules</a></li>
						<li><a href="#federation">Federation</a></li>
						<li><a href="#contact">Contact an Admin</a></li>
					</ul>
				</ul>
			</div>
			<div class="section" id="gettingstarted">
				<h1>Getting Started</h1>
				<p>Setting up Matrix is pretty simple. </p>
				<p>Download, install, and launch <a href="https://about.riot.im/">Riot</a>. You'll be presented with the following screen:</p>
				<img class="bigimg" src="/images/riot-tut-1.png" />
				<p>Create an account:</p>
				<img class="bigimg" src="/images/riot-tut-2.png" />
				<p>Under Advanced, click Other and enter in <code>https://matrix.9iron.club</code>:</p>
				<img class="bigimg" src="/images/riot-tut-3.png" />
				<p>Click Next and enter in your account details:</p>
				<img class="bigimg" src="/images/riot-tut-4.png" />
				<p>If you would like to set up encryption, follow the prompts. I would recommend doing so for account recovery. After that:</p>
				<img class="bigimg" src="/images/riot-tut-5.png" />
				<p>You're done!</p>
				<p>After registering, you will automatically be added to the Welcome room. To find more rooms, hit "Explore". You can also create a room and invite other users to it.</p>
			</div>
			<div class="section" id="voicechat">
				<h1>Voice Chat</h1>
				<p>Matrix uses a plugin called Jitsi for voice chat. Each Jitsi chat is unique to its own room. To add one, click this button:</p>
				<img class="bigimg" src="/images/riot-vc-1.png" />
				<p>Depending on how the room permissions are set up, you may have to be an admin to add one. From here, pick Jitsi and follow the prompts:</p>
				<img class="bigimg" src="/images/riot-vc-2.png" />
				<p>Then, simply click this button to expand Jitsi and join the call:</p>
				<img class="bigimg" src="/images/riot-vc-3.png" />
				<img class="bigimg" src="/images/riot-vc-4.png" />
				<img class="bigimg" src="/images/riot-vc-5.png" />
				<p>You can also add other embeds, such as a Spotify playlist or a YouTube video. For now, these plugins are run on another server, but I may bring them into 9iron eventually.</p>
			</div>
			<div class="section" id="communities">
				<h1>Communities</h1>
				<p>Where Discord has a Server, Matrix has Communities. You can join a bunch of rooms together in a community and invite people to it. To make a community, hit the big plus button on the left side of Riot and follow the prompts.</p>
			</div>
			<div class="section" id="darkmode">
				<h1>Enabling Dark Mode</h1>
				<p>By default, Riot assumes that you light light mode. Nobody likes light mode. To turn on dark mode, click your name, click "Settings", then scroll down to the "Theme" section and pick "Dark theme". You may have to turn off "Match system theme" to do so:</p>
				<img class="bigimg" src="/images/riot-darkmode-1.png" />
				<img class="bigimg" src="/images/riot-darkmode-2.png" />
			</div>
			<div class="section" id="rules">
				<h1>Rules</h1>
				<p>The 9iron server as a whole only has two main rules:</p>
				<ul>
					<li>Upload something illegal in the United States and I'll kick your ass</li>
					<li>Break into my boxes and I'll kick your ass</li>
				</ul>
				<p>Everything beyond that is up to the room's admins. Each room has its own different set of admins and I might not necessarily be part of it.</p>
				<p>For the rooms I own (like <code>#welcome</code> and <code>#adminbs</code>), the rules are in the <code>+9:9iron.club</code> community.</p>
			</div>
			<div class="section" id="federation">
				<h1>Federation</h1>
				<p>The server on 9iron can communicate with other servers as well. If you want to chat with someone on Matrix.org or some other server, you can. When Setting up a room, add a local address and give it to the person on the other server:</p>
				<img class="bigimg" src="/images/riot-fedi-1.png" />
				<img class="bigimg" src="/images/riot-fedi-2.png" />
				<p>In this case, I would give out <code>#adminbs:9iron.club</code>. With this, the user on the other server can join the room. You can also join theirs in a similar way (ie. you get given <code>#room:matrix.org</code>)</p>
			</div>
			<div class="section" id="contact">
				<h1>Contact an Admin</h1>
				<p>If the server goes down or you need to reach out to an admin for any reason, send an email to rehashedsalt@cock.li.</p>
			</div>
		</div>
		<?php include $_SERVER['DOCUMENT_ROOT'].'/src/common-footer.php';?>
	</body>
</html>
