<!DOCTYPE html>
<html>
	<head>
		<?php include $_SERVER['DOCUMENT_ROOT'].'/src/common-meta.php';?>
		<title>9iron - Inflation in Modded Minecraft</title>
	</head>
	<body>
		<div class="container">
			<?php include $_SERVER['DOCUMENT_ROOT'].'/src/common-header.php';?>
			<div class="content">
				<div class="section">
					<h1>Inflation in Modded Minecraft</h1>
					<p>It's hard to believe Minecraft is 9 years old, and even harder to believe that <a href="https://howoldisminecraft1710.today/">the single biggest version for modded</a> is almost 6. There's been so much refinement in modding tools and mods themselves since; orders of magnitude more complexity, more things, <em>cooler</em> things. The dev for Factorio once said that a major inspiration for him was IC2. <em>It's that good</em>. But it's inflated to hell and back.</p>
					<p>Let's take a popular mod as a baseline, as I feel that it best represents (and is the posterboy for) its power system: Thermal. A basic generator produces 80RF/t (unit power per unit time) and can handle a basic powered furnace and a Pulverizer simultaneously. With upgrades, some of the largest basic Thermal generator setups I've seen produce upwards of 20-80kRF/t, can power <em>damn</em> good furnaces, and are easily scaleable.</p>
					<p>Thermal also provides an addon mod: Redstone Arsenal. This mod adds tools, armor, and weapons that consume RF to work. They're upgrades from diamond, can never break, but require infrastructure. It's a good system. The armor holds 800kRF per piece and consumes 200 per hit. Wearing four pieces of armor, this means it takes half a second of basic shitty coal generator power production to effectively add one durability point to your better-than-diamond armor.</p>
					<p>Enter third-party addon mods. There exist many, <em>many</em> mods that produce and consume several orders of magnitude more power. Extreme Reactors can produce 100<em>M</em>RF/t without breaking a sweat, Draconic Evolution is notorious for its power usage (4MRF to conjure an overpowered arrow out of thin air) and invincibility armor, RFTools Dimensions provides user-controllable worlds and lets you buy resources that you should <em>never</em> allow a player to buy given that you have the power to support the place long enough to get your shit and get out, etc.</p>
					<p>Now, these mods weren't all developed at the same time. Early on, the most insane mod you could get was Buildcraft, which had a Quarry. Then came IC2, which had cool stuff like a mining laser, OG powered armorsuits, and nuclear reactors that would blow your base a new asshole if you weren't careful. Thermal came along and eventually pioneered a new power system, AE followed and allowed for centralized storage and automation, etc.</p>
					<p>Basically, what I'm getting at is that the modded Minecraft ecosystem has inflated insanely quickly. Power costs are somewhere between 3-9 (or 12!) orders of magnitude off of what the developers of those power systems originally intended. Resources in endgame ME systems can number in the millions. Damage has been affected too, but dramatically less so because functional overkill is really low in Vanilla and combat is uninteresting regardless.</p>
					<p>What made me realize this is an ongoing playthrough with Botania. Just Quark and Botania. And Spartan Weapons because a friend wanted it, I guess. You move from generation on the order of a 16th of a Mana Pool to generation on the order of half a pool. It's just enough difference in stages to make you want to progress, and that's perfect.</p>
					<p>The power curve also drops off really quickly. The highest damage sword Botania offers is only equivalent to diamond, same with the armor. Instead, it offers little odds and ends that are usually reserved for magic mods: quicker movement, health regen, second sight, potion effects, longer reach, and other unique trinkets. It adds swords that fire laser beams if you wait for the attack timer, making combat more interesting. In effect, what this means is that a botanist gathers much different power than would be obtained in the larger RF ecosystem.</p>
					<p>I'm finding that, in the end, a pack with just Botania plays better than a pack with a bunch of RF tech mods. Botania has just as much focus on automation as a tech pack would (and with significantly more automation complexity, but that's a topic for another post) but doesn't throw out Vanilla balance. Combat remains challenging and engaging, the environment isn't trivialized by creative flight early on, and the endgame is powerful but grounded.</p>
					<p>The point boils down to this: slow down and don't trivialize shit.</p>
					<p>Every mod makes their stuff more powerful than the one that preceeded it to make sure people use it. What ends up happening is that earlier mods get shunted to the side because their numbers aren't big enough, Vanilla included, even if there's absolutely <em>no</em> need for that much power. So the solution is as such:</p>
					<ul>
						<li>Normalize power generation and consumption across machines in a pack</li>
						<li>Put a cap on the player's power and ensure that it doesn't trivialize anything</li>
						<li>If you do trivialize something, add something else to replace it</li>
						<li>Create in-world challenges, like things to fight or places to explore and conquer</li>
						<li>Omissions are just as powerful as inclusions in pack development</li>
						<li>High resource costs do not justify breaking balance. No exceptions.</li>
					</ul>
					<p>Fuck Draconic Evolution.</p>
					<p>Make more mob mods.</p>
					<p>Somebody needs to do a combat overhaul.</p>
					<p>Stop putting creative items at the ends of your packs.</p>
					<p>- Salt</p>
				</div>
			</div>
			<?php include $_SERVER['DOCUMENT_ROOT'].'/sidebar.html';?>
			<?php include $_SERVER['DOCUMENT_ROOT'].'/src/common-footer.php';?>
		</div>
	</body>
</html>
